[arch-commits] Commit in libxfont/repos (extra-i686 extra-i686/PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Jul 6 16:50:38 EDT 2008


    Date: Sunday, July 6, 2008 @ 16:50:37
  Author: jgc
Revision: 4410

Merged revisions 2-4409 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/libxfont/trunk

........
  r356 | aaron | 2008-04-18 22:56:27 +0000 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r4371 | jgc | 2008-07-06 19:37:12 +0000 (Sun, 06 Jul 2008) | 1 line
  
  upgpkg: libxfont 1.3.3-1
........

Modified:
  libxfont/repos/extra-i686/	(properties)
  libxfont/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)


Property changes on: libxfont/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /libxfont/trunk:1
   + /libxfont/trunk:1-4409

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-07-06 20:49:15 UTC (rev 4409)
+++ extra-i686/PKGBUILD	2008-07-06 20:50:37 UTC (rev 4410)
@@ -2,23 +2,23 @@
 # Maintainer: Alexander Baldeck <alexander at archlinux.org>
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=libxfont
-pkgver=1.3.2
+pkgver=1.3.3
 pkgrel=1
 pkgdesc="X11 font rasterisation library"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
 license=('custom')
-depends=('libfontenc' 'freetype2>=2.3.5' 'fontsproto')
+depends=('libfontenc' 'freetype2>=2.3.7' 'fontsproto')
 makedepends=('pkgconfig' 'xtrans' 'fontcacheproto' 'xproto')
 options=('!libtool')
 source=(${url}/archive/individual/lib/libXfont-${pkgver}.tar.bz2)
-md5sums=('64f510ebf9679f3a97a3d633cbee4f50')
+md5sums=('4f174b9613f87cf00d731da428a1b194')
 
 build() {
   cd ${startdir}/src/libXfont-${pkgver}
-  ./configure --prefix=/usr --sysconfdir=/etc \
-              --build=${CHOST} --host=${CHOST}
+  ./configure --prefix=/usr --sysconfdir=/etc || return 1
   make || return 1
   make DESTDIR=${startdir}/pkg install || return 1
-  install -D -m644 COPYING ${startdir}/pkg/usr/share/licenses/${pkgname}/COPYING
+  install -m755 -d ${pkgdir}/usr/share/licenses/${pkgname}
+  install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
 }





More information about the arch-commits mailing list